https://kotlinlang.org logo
#android
Title
# android
d

Daniele B

02/02/2023, 4:17 PM
upgrading from:
Copy code
coreLibraryDesugaring("com.android.tools:desugar_jdk_libs:2.0.0")
to:
Copy code
coreLibraryDesugaring("com.android.tools:desugar_jdk_libs:2.0.1")
it gives me this error:
> Task :androidApp:l8DexDesugarLibDebug
Warning in /Users/xxxxx/.gradle/caches/modules-2/files-2.1/com.android.tools/desugar_jdk_libs/2.0.1/9d09220d37ff066efce30d10c543c684580cdd30/desugar_jdk_libs-2.0.1.jar:java/util/concurrent/ConcurrentLinkedQueue$Itr.class at Ljava/util/concurrent/ConcurrentLinkedQueue$Itr;next()Ljava/lang/Object;:
MethodHandle.invoke and MethodHandle.invokeExact are only supported starting with Android O (--min-api 26): Ljava/util/concurrent/ConcurrentLinkedQueue$Itr;next()Ljava/lang/Object;
Warning in /Users/xxxxx/.gradle/caches/modules-2/files-2.1/com.android.tools/desugar_jdk_libs/2.0.1/9d09220d37ff066efce30d10c543c684580cdd30/desugar_jdk_libs-2.0.1.jar:java/util/concurrent/ConcurrentLinkedQueue$Node.class at Ljava/util/concurrent/ConcurrentLinkedQueue$Node;<init>(Ljava/lang/Object;)V:
is it a known bug? Is there a more suitable place than this channel to report this issue?
😶 2
e
9 Views